Index: lemon/concepts/path.h
===================================================================
--- lemon/concepts/path.h	(revision 1270)
+++ lemon/concepts/path.h	(revision 1127)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2009
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -76,5 +76,5 @@
       template <typename CPath>
       Path& operator=(const CPath& cpath) {
-        ::lemon::ignore_unused_variable_warning(cpath);
+        ignore_unused_variable_warning(cpath);
         return *this;
       }
@@ -136,10 +136,10 @@
           e = (i < ii);
 
-          ::lemon::ignore_unused_variable_warning(l);
-          ::lemon::ignore_unused_variable_warning(pp);
-          ::lemon::ignore_unused_variable_warning(e);
-          ::lemon::ignore_unused_variable_warning(id);
-          ::lemon::ignore_unused_variable_warning(ii);
-          ::lemon::ignore_unused_variable_warning(ed);
+          ignore_unused_variable_warning(l);
+          ignore_unused_variable_warning(pp);
+          ignore_unused_variable_warning(e);
+          ignore_unused_variable_warning(id);
+          ignore_unused_variable_warning(ii);
+          ignore_unused_variable_warning(ed);
         }
       };
@@ -163,8 +163,8 @@
           e = (i != INVALID);
 
-          ::lemon::ignore_unused_variable_warning(l);
-          ::lemon::ignore_unused_variable_warning(e);
-          ::lemon::ignore_unused_variable_warning(id);
-          ::lemon::ignore_unused_variable_warning(ed);
+          ignore_unused_variable_warning(l);
+          ignore_unused_variable_warning(e);
+          ignore_unused_variable_warning(id);
+          ignore_unused_variable_warning(ed);
         }
         _Path& p;
@@ -189,8 +189,8 @@
           e = (i != INVALID);
 
-          ::lemon::ignore_unused_variable_warning(l);
-          ::lemon::ignore_unused_variable_warning(e);
-          ::lemon::ignore_unused_variable_warning(id);
-          ::lemon::ignore_unused_variable_warning(ed);
+          ignore_unused_variable_warning(l);
+          ignore_unused_variable_warning(e);
+          ignore_unused_variable_warning(id);
+          ignore_unused_variable_warning(ed);
         }
         _Path& p;
Index: lemon/config.h.in
===================================================================
--- lemon/config.h.in	(revision 1264)
+++ lemon/config.h.in	(revision 1133)
@@ -5,9 +5,6 @@
 #cmakedefine LEMON_HAVE_GLPK 1
 #cmakedefine LEMON_HAVE_CPLEX 1
-#cmakedefine LEMON_HAVE_SOPLEX 1
 #cmakedefine LEMON_HAVE_CLP 1
 #cmakedefine LEMON_HAVE_CBC 1
-#cmakedefine LEMON_DEFAULT_LP @LEMON_DEFAULT_LP@
-#cmakedefine LEMON_DEFAULT_MIP @LEMON_DEFAULT_MIP@
 #cmakedefine LEMON_USE_PTHREAD 1
 #cmakedefine LEMON_USE_WIN32_THREADS 1
Index: lemon/connectivity.h
===================================================================
--- lemon/connectivity.h	(revision 1270)
+++ lemon/connectivity.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -746,35 +746,12 @@
   ///
   /// This function checks whether the given undirected graph is
-  /// bi-node-connected, i.e. a connected graph without articulation
-  /// node.
+  /// bi-node-connected, i.e. any two edges are on same circle.
   ///
   /// \return \c true if the graph bi-node-connected.
-  ///
-  /// \note By definition,
-  /// \li a graph consisting of zero or one node is bi-node-connected,
-  /// \li a graph consisting of two isolated nodes
-  /// is \e not bi-node-connected and
-  /// \li a graph consisting of two nodes connected by an edge
-  /// is bi-node-connected.
+  /// \note By definition, the empty graph is bi-node-connected.
   ///
   /// \see countBiNodeConnectedComponents(), biNodeConnectedComponents()
   template <typename Graph>
   bool biNodeConnected(const Graph& graph) {
-    bool hasNonIsolated = false, hasIsolated = false;
-    for (typename Graph::NodeIt n(graph); n != INVALID; ++n) {
-      if (typename Graph::OutArcIt(graph, n) == INVALID) {
-        if (hasIsolated || hasNonIsolated) {
-          return false;
-        } else {
-          hasIsolated = true;
-        }
-      } else {
-        if (hasIsolated) {
-          return false;
-        } else {
-          hasNonIsolated = true;
-        }
-      }
-    }
     return countBiNodeConnectedComponents(graph) <= 1;
   }
Index: lemon/core.h
===================================================================
--- lemon/core.h	(revision 1270)
+++ lemon/core.h	(revision 1195)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -36,15 +36,4 @@
 #ifdef _MSC_VER
 #pragma warning( disable : 4250 4355 4503 4800 4996 )
-#endif
-
-#ifdef __GNUC__
-#define GCC_VERSION (__GNUC__ * 10000                   \
-                     + __GNUC_MINOR__ * 100             \
-                     + __GNUC_PATCHLEVEL__)
-#endif
-
-#if GCC_VERSION >= 40800
-// Needed by the [DI]GRAPH_TYPEDEFS marcos for gcc 4.8
-#pragma GCC diagnostic ignored "-Wunused-local-typedefs"
 #endif
 
@@ -255,5 +244,5 @@
 
   namespace _graph_utils_bits {
-
+    
     template <typename Graph, typename Enable = void>
     struct CountRedNodesSelector {
@@ -265,11 +254,11 @@
     template <typename Graph>
     struct CountRedNodesSelector<
-      Graph, typename
-      enable_if<typename Graph::NodeNumTag, void>::type>
+      Graph, typename 
+      enable_if<typename Graph::NodeNumTag, void>::type> 
     {
       static int count(const Graph &g) {
         return g.redNum();
       }
-    };
+    };    
   }
 
@@ -280,5 +269,5 @@
   /// graph structures it is specialized to run in O(1).
   ///
-  /// If the graph contains a \e redNum() member function and a
+  /// If the graph contains a \e redNum() member function and a 
   /// \e NodeNumTag tag then this function calls directly the member
   /// function to query the cardinality of the node set.
@@ -289,5 +278,5 @@
 
   namespace _graph_utils_bits {
-
+    
     template <typename Graph, typename Enable = void>
     struct CountBlueNodesSelector {
@@ -299,11 +288,11 @@
     template <typename Graph>
     struct CountBlueNodesSelector<
-      Graph, typename
-      enable_if<typename Graph::NodeNumTag, void>::type>
+      Graph, typename 
+      enable_if<typename Graph::NodeNumTag, void>::type> 
     {
       static int count(const Graph &g) {
         return g.blueNum();
       }
-    };
+    };    
   }
 
@@ -314,5 +303,5 @@
   /// graph structures it is specialized to run in O(1).
   ///
-  /// If the graph contains a \e blueNum() member function and a
+  /// If the graph contains a \e blueNum() member function and a 
   /// \e NodeNumTag tag then this function calls directly the member
   /// function to query the cardinality of the node set.
@@ -1866,5 +1855,5 @@
     /// The Digraph type
     typedef GR Digraph;
-
+    
   protected:
 
Index: lemon/cost_scaling.h
===================================================================
--- lemon/cost_scaling.h	(revision 1271)
+++ lemon/cost_scaling.h	(revision 1296)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -92,12 +92,9 @@
   /// \ref CostScaling implements a cost scaling algorithm that performs
   /// push/augment and relabel operations for finding a \ref min_cost_flow
-  /// "minimum cost flow" \cite amo93networkflows,
-  /// \cite goldberg90approximation,
-  /// \cite goldberg97efficient, \cite bunnagel98efficient.
+  /// "minimum cost flow" \ref amo93networkflows, \ref goldberg90approximation,
+  /// \ref goldberg97efficient, \ref bunnagel98efficient.
   /// It is a highly efficient primal-dual solution method, which
   /// can be viewed as the generalization of the \ref Preflow
   /// "preflow push-relabel" algorithm for the maximum flow problem.
-  /// It is a polynomial algorithm, its running time complexity is
-  /// \f$O(n^2m\log(nK))\f$, where <i>K</i> denotes the maximum arc cost.
   ///
   /// In general, \ref NetworkSimplex and \ref CostScaling are the fastest
@@ -154,6 +151,5 @@
     typedef typename TR::LargeCost LargeCost;
 
-    /// \brief The \ref lemon::CostScalingDefaultTraits "traits class"
-    /// of the algorithm
+    /// The \ref CostScalingDefaultTraits "traits class" of the algorithm
     typedef TR Traits;
 
@@ -215,6 +211,5 @@
     typedef std::vector<LargeCost> LargeCostVector;
     typedef std::vector<char> BoolVector;
-    // Note: vector<char> is used instead of vector<bool>
-    // for efficiency reasons
+    // Note: vector<char> is used instead of vector<bool> for efficiency reasons
 
   private:
@@ -376,5 +371,4 @@
       for (ArcIt a(_graph); a != INVALID; ++a) {
         _lower[_arc_idf[a]] = map[a];
-        _lower[_arc_idb[a]] = map[a];
       }
       return *this;
@@ -673,5 +667,5 @@
     ///
     /// This function returns the total cost of the found flow.
-    /// Its complexity is O(m).
+    /// Its complexity is O(e).
     ///
     /// \note The return type of the function can be specified as a
@@ -907,10 +901,10 @@
       return OPTIMAL;
     }
-
-    // Check if the upper bound is greater or equal to the lower bound
-    // on each arc.
+    
+    // Check if the upper bound is greater than or equal to the lower bound
+    // on each forward arc.
     bool checkBoundMaps() {
       for (int j = 0; j != _res_arc_num; ++j) {
-        if (_upper[j] < _lower[j]) return false;
+        if (_forward[j] && _upper[j] < _lower[j]) return false;
       }
       return true;
@@ -995,5 +989,5 @@
         int limit = _first_out[_root];
         for (int j = 0; j != limit; ++j) {
-          if (!_forward[j]) _res_cap[j] += _lower[j];
+          if (_forward[j]) _res_cap[_reverse[j]] += _lower[j];
         }
       }
@@ -1288,5 +1282,5 @@
           _buckets[r] = _bucket_next[u];
 
-          // Search the incoming arcs of u
+          // Search the incomming arcs of u
           LargeCost pi_u = _pi[u];
           int last_out = _first_out[u+1];
Index: lemon/cplex.cc
===================================================================
--- lemon/cplex.cc	(revision 1270)
+++ lemon/cplex.cc	(revision 1183)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -492,15 +492,4 @@
                    _message_enabled ? CPX_ON : CPX_OFF);
   }
-
-  void CplexBase::_write(std::string file, std::string format) const
-  {
-    if(format == "MPS" || format == "LP")
-      CPXwriteprob(cplexEnv(), cplexLp(), file.c_str(), format.c_str());
-    else if(format == "SOL")
-      CPXsolwrite(cplexEnv(), cplexLp(), file.c_str());
-    else throw UnsupportedFormatError(format);
-  }
-
-
 
   // CplexLp members
Index: lemon/cplex.h
===================================================================
--- lemon/cplex.h	(revision 1270)
+++ lemon/cplex.h	(revision 793)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2009
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -151,6 +151,4 @@
     bool _message_enabled;
 
-    void _write(std::string file, std::string format) const;
-
   public:
 
@@ -173,17 +171,4 @@
     const cpxlp* cplexLp() const { return _prob; }
 
-#ifdef DOXYGEN
-    /// Write the problem or the solution to a file in the given format
-
-    /// This function writes the problem or the solution
-    /// to a file in the given format.
-    /// Trying to write in an unsupported format will trigger
-    /// \ref lemon::LpBase::UnsupportedFormatError "UnsupportedFormatError".
-    /// \param file The file path
-    /// \param format The output file format.
-    /// Supportted formats are "MPS", "LP" and "SOL".
-    void write(std::string file, std::string format = "MPS") const {}
-#endif
-
   };
 
Index: lemon/cycle_canceling.h
===================================================================
--- lemon/cycle_canceling.h	(revision 1270)
+++ lemon/cycle_canceling.h	(revision 1296)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -48,11 +48,11 @@
   /// \ref CycleCanceling implements three different cycle-canceling
   /// algorithms for finding a \ref min_cost_flow "minimum cost flow"
-  /// \cite amo93networkflows, \cite klein67primal,
-  /// \cite goldberg89cyclecanceling.
+  /// \ref amo93networkflows, \ref klein67primal,
+  /// \ref goldberg89cyclecanceling.
   /// The most efficent one is the \ref CANCEL_AND_TIGHTEN
   /// "Cancel-and-Tighten" algorithm, thus it is the default method.
-  /// It runs in strongly polynomial time \f$O(n^2 m^2 \log n)\f$,
-  /// but in practice, it is typically orders of magnitude slower than
-  /// the scaling algorithms and \ref NetworkSimplex.
+  /// It runs in strongly polynomial time, but in practice, it is typically
+  /// orders of magnitude slower than the scaling algorithms and
+  /// \ref NetworkSimplex.
   /// (For more information, see \ref min_cost_flow_algs "the module page".)
   ///
@@ -132,13 +132,13 @@
       /// The "Minimum Mean Cycle-Canceling" algorithm, which is a
       /// well-known strongly polynomial method
-      /// \cite goldberg89cyclecanceling. It improves along a
+      /// \ref goldberg89cyclecanceling. It improves along a
       /// \ref min_mean_cycle "minimum mean cycle" in each iteration.
-      /// Its running time complexity is \f$O(n^2 m^3 \log n)\f$.
+      /// Its running time complexity is O(n<sup>2</sup>e<sup>3</sup>log(n)).
       MINIMUM_MEAN_CYCLE_CANCELING,
       /// The "Cancel-and-Tighten" algorithm, which can be viewed as an
       /// improved version of the previous method
-      /// \cite goldberg89cyclecanceling.
+      /// \ref goldberg89cyclecanceling.
       /// It is faster both in theory and in practice, its running time
-      /// complexity is \f$O(n^2 m^2 \log n)\f$.
+      /// complexity is O(n<sup>2</sup>e<sup>2</sup>log(n)).
       CANCEL_AND_TIGHTEN
     };
@@ -282,5 +282,4 @@
       for (ArcIt a(_graph); a != INVALID; ++a) {
         _lower[_arc_idf[a]] = map[a];
-        _lower[_arc_idb[a]] = map[a];
       }
       return *this;
@@ -577,5 +576,5 @@
     ///
     /// This function returns the total cost of the found flow.
-    /// Its complexity is O(m).
+    /// Its complexity is O(e).
     ///
     /// \note The return type of the function can be specified as a
@@ -784,10 +783,10 @@
       return OPTIMAL;
     }
-
-    // Check if the upper bound is greater or equal to the lower bound
-    // on each arc.
+    
+    // Check if the upper bound is greater than or equal to the lower bound
+    // on each forward arc.
     bool checkBoundMaps() {
       for (int j = 0; j != _res_arc_num; ++j) {
-        if (_upper[j] < _lower[j]) return false;
+        if (_forward[j] && _upper[j] < _lower[j]) return false;
       }
       return true;
@@ -839,5 +838,5 @@
         int limit = _first_out[_root];
         for (int j = 0; j != limit; ++j) {
-          if (!_forward[j]) _res_cap[j] += _lower[j];
+          if (_forward[j]) _res_cap[_reverse[j]] += _lower[j];
         }
       }
@@ -961,5 +960,5 @@
       buildResidualNetwork();
       while (true) {
-
+        
         typename HwMmc::TerminationCause hw_tc =
             hw_mmc.findCycleMean(hw_iter_limit);
@@ -977,5 +976,5 @@
           hw_mmc.findCycle();
         }
-
+        
         // Compute delta value
         Value delta = INF;
Index: lemon/dfs.h
===================================================================
--- lemon/dfs.h	(revision 1270)
+++ lemon/dfs.h	(revision 1161)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -153,5 +153,5 @@
     typedef PredMapPath<Digraph, PredMap> Path;
 
-    ///The \ref lemon::DfsDefaultTraits "traits class" of the algorithm.
+    ///The \ref DfsDefaultTraits "traits class" of the algorithm.
     typedef TR Traits;
 
Index: lemon/dijkstra.h
===================================================================
--- lemon/dijkstra.h	(revision 1270)
+++ lemon/dijkstra.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -228,9 +228,9 @@
     ///The heap type used by the algorithm.
     typedef typename TR::Heap Heap;
-    /// \brief The \ref lemon::DijkstraDefaultOperationTraits
-    /// "operation traits class" of the algorithm.
+    ///\brief The \ref DijkstraDefaultOperationTraits "operation traits class"
+    ///of the algorithm.
     typedef typename TR::OperationTraits OperationTraits;
 
-    ///The \ref lemon::DijkstraDefaultTraits "traits class" of the algorithm.
+    ///The \ref DijkstraDefaultTraits "traits class" of the algorithm.
     typedef TR Traits;
 
Index: lemon/dimacs.h
===================================================================
--- lemon/dimacs.h	(revision 1270)
+++ lemon/dimacs.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/edge_set.h
===================================================================
--- lemon/edge_set.h	(revision 1270)
+++ lemon/edge_set.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/euler.h
===================================================================
--- lemon/euler.h	(revision 1270)
+++ lemon/euler.h	(revision 1023)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/fractional_matching.h
===================================================================
--- lemon/fractional_matching.h	(revision 1270)
+++ lemon/fractional_matching.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -124,6 +124,6 @@
   public:
 
-    /// \brief The \ref lemon::MaxFractionalMatchingDefaultTraits
-    /// "traits class" of the algorithm.
+    /// \brief The \ref MaxFractionalMatchingDefaultTraits "traits
+    /// class" of the algorithm.
     typedef TR Traits;
     /// The type of the graph the algorithm runs on.
Index: lemon/full_graph.h
===================================================================
--- lemon/full_graph.h	(revision 1270)
+++ lemon/full_graph.h	(revision 1193)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -875,5 +875,5 @@
     static int id(Arc e) { return e._id; }
     static int id(Edge e) { return e._id; }
-
+    
     static Node nodeFromId(int id) { return Node(id);}
     static Arc arcFromId(int id) { return Arc(id);}
@@ -905,5 +905,5 @@
       return n._id - _red_num;
     }
-
+        
     void clear() {
       _red_num = 0; _blue_num = 0;
@@ -911,5 +911,5 @@
     }
 
-    Edge edge(const Node& u, const Node& v) const {
+    Edge edge(const Node& u, const Node& v) const { 
       if (u._id < _red_num) {
         if (v._id < _red_num) {
@@ -927,5 +927,5 @@
     }
 
-    Arc arc(const Node& u, const Node& v) const {
+    Arc arc(const Node& u, const Node& v) const { 
       if (u._id < _red_num) {
         if (v._id < _red_num) {
Index: lemon/glpk.cc
===================================================================
--- lemon/glpk.cc	(revision 1270)
+++ lemon/glpk.cc	(revision 1142)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -581,13 +581,4 @@
       break;
     }
-  }
-
-  void GlpkBase::_write(std::string file, std::string format) const
-  {
-    if(format == "MPS")
-      glp_write_mps(lp, GLP_MPS_FILE, 0, file.c_str());
-    else if(format == "LP")
-      glp_write_lp(lp, 0, file.c_str());
-    else throw UnsupportedFormatError(format);
   }
 
@@ -1008,5 +999,3 @@
   const char* GlpkMip::_solverName() const { return "GlpkMip"; }
 
-
-
 } //END OF NAMESPACE LEMON
Index: lemon/glpk.h
===================================================================
--- lemon/glpk.h	(revision 1270)
+++ lemon/glpk.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -116,6 +116,4 @@
     virtual void _messageLevel(MessageLevel level);
 
-    virtual void _write(std::string file, std::string format) const;
-
   private:
 
@@ -147,17 +145,4 @@
     int lpxCol(Col c) const { return cols(id(c)); }
 
-#ifdef DOXYGEN
-    /// Write the problem or the solution to a file in the given format
-
-    /// This function writes the problem or the solution
-    /// to a file in the given format.
-    /// Trying to write in an unsupported format will trigger
-    /// \ref LpBase::UnsupportedFormatError.
-    /// \param file The file path
-    /// \param format The output file format.
-    /// Supportted formats are "MPS" and "LP".
-    void write(std::string file, std::string format = "MPS") const {}
-#endif
-
   };
 
Index: lemon/gomory_hu.h
===================================================================
--- lemon/gomory_hu.h	(revision 1270)
+++ lemon/gomory_hu.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -47,5 +47,5 @@
   ///
   /// The algorithm calculates \e n-1 distinct minimum cuts (currently with
-  /// the \ref Preflow algorithm), thus it has \f$O(n^3\sqrt{m})\f$ overall
+  /// the \ref Preflow algorithm), thus it has \f$O(n^3\sqrt{e})\f$ overall
   /// time complexity. It calculates a rooted Gomory-Hu tree.
   /// The structure of the tree and the edge weights can be
Index: lemon/graph_to_eps.h
===================================================================
--- lemon/graph_to_eps.h	(revision 1291)
+++ lemon/graph_to_eps.h	(revision 1159)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -223,4 +223,5 @@
   using T::_copyright;
 
+  using typename T::NodeTextColorType;
   using T::CUST_COL;
   using T::DIST_COL;
Index: lemon/greedy_tsp.h
===================================================================
--- lemon/greedy_tsp.h	(revision 1270)
+++ lemon/greedy_tsp.h	(revision 1205)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -68,7 +68,7 @@
       Cost _sum;
       std::vector<Node> _path;
-
+      
     private:
-
+    
       // Functor class to compare edges by their costs
       class EdgeComp {
@@ -229,5 +229,5 @@
       ///
       /// This function copies the found tour as a list of arcs/edges into
-      /// the given \ref lemon::concepts::Path "path structure".
+      /// the given \ref concept::Path "path structure".
       ///
       /// \pre run() must be called before using this function.
Index: lemon/grosso_locatelli_pullan_mc.h
===================================================================
--- lemon/grosso_locatelli_pullan_mc.h	(revision 1270)
+++ lemon/grosso_locatelli_pullan_mc.h	(revision 1022)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -41,5 +41,5 @@
   /// \ref GrossoLocatelliPullanMc implements the iterated local search
   /// algorithm of Grosso, Locatelli, and Pullan for solving the \e maximum
-  /// \e clique \e problem \cite grosso08maxclique.
+  /// \e clique \e problem \ref grosso08maxclique.
   /// It is to find the largest complete subgraph (\e clique) in an
   /// undirected graph, i.e., the largest set of nodes where each
@@ -121,9 +121,9 @@
     BoolMatrix _gr;
     int _n;
-
+    
     // Search options
     bool _delta_based_restart;
     int _restart_delta_limit;
-
+ 
     // Search limits
     int _iteration_limit;
@@ -443,10 +443,10 @@
     /// \name Execution Control
     /// The \ref run() function can be used to execute the algorithm.\n
-    /// The functions \ref iterationLimit(int), \ref stepLimit(int), and
+    /// The functions \ref iterationLimit(int), \ref stepLimit(int), and 
     /// \ref sizeLimit(int) can be used to specify various limits for the
     /// search process.
-
+    
     /// @{
-
+    
     /// \brief Sets the maximum number of iterations.
     ///
@@ -460,5 +460,5 @@
     /// likely finds larger cliques. For smaller values, the algorithm is
     /// faster but probably gives worse results.
-    ///
+    /// 
     /// The default value is \c 1000.
     /// \c -1 means that number of iterations is not limited.
@@ -475,5 +475,5 @@
       return *this;
     }
-
+    
     /// \brief Sets the maximum number of search steps.
     ///
@@ -487,5 +487,5 @@
     /// likely finds larger cliques. For smaller values, the algorithm is
     /// faster but probably gives worse results.
-    ///
+    /// 
     /// The default value is \c -1, which means that number of steps
     /// is not limited explicitly. However, the number of iterations is
@@ -503,5 +503,5 @@
       return *this;
     }
-
+    
     /// \brief Sets the desired clique size.
     ///
@@ -509,9 +509,9 @@
     /// limit. If a clique of this size (or a larger one) is found, then the
     /// algorithm terminates.
-    ///
+    /// 
     /// This function is especially useful if you know an exact upper bound
-    /// for the size of the cliques in the graph or if any clique above
+    /// for the size of the cliques in the graph or if any clique above 
     /// a certain size limit is sufficient for your application.
-    ///
+    /// 
     /// The default value is \c -1, which means that the size limit is set to
     /// the number of nodes in the graph.
@@ -525,5 +525,5 @@
       return *this;
     }
-
+    
     /// \brief The maximum number of iterations.
     ///
@@ -535,5 +535,5 @@
       return _iteration_limit;
     }
-
+    
     /// \brief The maximum number of search steps.
     ///
@@ -545,5 +545,5 @@
       return _step_limit;
     }
-
+    
     /// \brief The desired clique size.
     ///
@@ -584,5 +584,5 @@
     /// \name Query Functions
     /// The results of the algorithm can be obtained using these functions.\n
-    /// The run() function must be called before using them.
+    /// The run() function must be called before using them. 
 
     /// @{
@@ -677,5 +677,5 @@
 
   private:
-
+  
     // Initialize search options and limits
     void initOptions() {
@@ -683,5 +683,5 @@
       _delta_based_restart = true;
       _restart_delta_limit = 4;
-
+     
       // Search limits
       _iteration_limit = 1000;
Index: lemon/hao_orlin.h
===================================================================
--- lemon/hao_orlin.h	(revision 1270)
+++ lemon/hao_orlin.h	(revision 1019)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
